{
module Scanner (alexScanTokens, Token(..)) where
}

%wrapper "basic"

$digit = 0-9
$alpha = [a-zA-Z]

tokens :-

      $white+ ; 
      "--".*  ;
      --".*        ;
      let         { \s -> LetToken }
      in          { \s -> InToken }
      $digit+       { \s -> IntToken (read s) }
      \+	    { \s -> PlusToken }
      \=	    { \s -> AssignToken }
      $alpha [$alpha $digit \_ \']*   { \s -> VarToken s }
      
{
data Token =
  LetToken|
  InToken |
  PlusToken |
  AssignToken |
  VarToken String  |
  IntToken Int
  deriving (Eq,Show)

main = do
  s <- readFile "/Users/pl/Lehre/Uni_Ausgewaehlte_Themen_PS_CB_INF3189/Alex/xxx"
  --s <- getContents
  print (alexScanTokens s)
}
